写安装脚本时,需要判断环境是否完整,例如判断git、python3等环境是否正常,通过下述可以实现。
#!/bin/bash
if ! [ -x "$(command -v git)" ]; then
echo 'Error: git is not installed.' >&2
exit 1
fi
写安装脚本时,需要判断环境是否完整,例如判断git、python3等环境是否正常,通过下述可以实现。
#!/bin/bash
if ! [ -x "$(command -v git)" ]; then
echo 'Error: git is not installed.' >&2
exit 1
fi